---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: argocd-server-http-ingress
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-prod
    nginx.ingress.kubernetes.io/ssl-passthrough: "true"
    nginx.ingress.kubernetes.io/backend-protocol: "HTTPS"
  labels:
    app: argocd-server
  namespace: argocd
spec:
  ingressClassName: nginx
  tls:
    - hosts:
        - argocd.ers.net.ru
      secretName: argocd-ers-net-ru-tls
  rules:
    - host: argocd.ers.net.ru
      http:
        paths:
          - pathType: Prefix
            path: /
            backend:
              service:
                name: argocd-server
                port:
                  name: https